Subject: Re: R: Cygwin-1.7.1 perlMagick incompatible with perl
From: Reini Urban <[email-masked]>
To: [email-masked], [email-masked]
Cc: Wes Barris <[email-masked]>
Date: Tue, 19 Jan 2010 14:43:06 +0100
List-Id: <cygwin.cygwin.com>

2010/1/19 Marco Atzeri:
> --- Mar 19/1/10, Wes Barris  ha scritto:
>> Marco Atzeri wrote:
>> > --- Mer 6/1/10, Wes Barris  ha scritto:
>> >
>> >> I just installed Cygwin 1.7.1. I noticed that the
>> available version
>> >> of perlMagick is incompatible with the available
>> version of
>> >> perl.
>> >> The perlMagick package is built against perl 5.8
>> but the
>> >> perl package
>> >> is 5.10.
>> >
>> > perl-Graphics-Magick has been just rebuilt, I am just
>> waiting for the upload on the server.
>> >
>> > Marco
>>
>> Is this likely to happen any time soon?  How do I get
>> the new
>> version?  Whenever I run setup, it still looks like
>> perl-Image-Magick
>> 6.4.0.6-1 is the latest but that is the one built against
>> perl 5..8 .
>>
>> -- Wes Barris
>
> Wes,
> I already updated perl-Graphics-Magick to version 1.3.7-2,
> but it seems you asked for the other Perl-Magick package.
>
> From the maintainer list:
> perl-graphics-magick            Marco Atzeri
> perl-image-magick               Volker Quetschke
>
> so you should wait Volker, if he is still around.
>
> Eventually could you try if perl-Graphics-Magick fit
> your needs ?

Do it by yourself, it's a normal cpan release also.

Download the src for ImageMagick.
cd /usr/src
cygport ImageMagick-6.4.0.6-1 prep
rm /usr/src/ImageMagick-6.4.0.6-1/src/ImageMagick-6.4.0/m4/openmp.m4
cygport ImageMagick-6.4.0.6-1 make check

or manually by installing libMagick-devel, gcc-4
and run cpan Image::Magick

Anyway, I prepared a ready package, src attached.
----- version 6.4.0.6-2 -----
recompiled against cygwin-1.7, gcc.4 and perl-5.10
removed m4/openm4.m4
by Reini Urban

Volker, should I upload it?
-- 
Reini Urban
http://phpwiki.org/           http://murbreak.at/
--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple